GNU bug report logs - #25747
25.1.91; hideshow binding C-c @ C-h overrides help

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Allen Li <vianchielfaura@HIDDEN>; Keywords: wontfix; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 25747 <at> debbugs.gnu.org and Allen Li <vianchielfaura@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) wontfix. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 25747 <at> debbugs.gnu.org:


Received: (at 25747) by debbugs.gnu.org; 1 Dec 2021 19:18:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 01 14:18:51 2021
Received: from localhost ([127.0.0.1]:45673 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1msV7z-0000YJ-6h
	for submit <at> debbugs.gnu.org; Wed, 01 Dec 2021 14:18:51 -0500
Received: from quimby.gnus.org ([95.216.78.240]:57056)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1msV7s-0000Xq-6I
 for 25747 <at> debbugs.gnu.org; Wed, 01 Dec 2021 14:18:49 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=IAKPpIsP7WMquWUxaJM4q6Ma+gRR8trXzOfQDJp5Gp0=; b=V+Q7WwBU682hReebz0kV1edqAE
 UAs+C+00QgIzF3eulYw+gBO1l2Ulw7yPBZM0RtN2n3ux6DeZmqhJ7EjCiPIWAssCDUFAUN+nXV126
 aSXGE1O1B1dO76f3ixEaCtCC25J01A8Muus+lNZirFCm1BuT2gsSHj1VNsjJntZRCcfQ=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1msV7j-0001rv-CW; Wed, 01 Dec 2021 20:18:38 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#25747: 25.1.91; hideshow binding C-c @ C-h overrides help
References: <CAJr1M6dKJR1kRD4K_7+QYhQ_jdmzUAx06ucoZLZ9+YGi-w-kKg@HIDDEN>
 <834lzuznib.fsf@HIDDEN>
 <CAJr1M6euwX5MEo8tq7TNrDB0LUSzu9V3x9=JYqzYJjCCoFA=qQ@HIDDEN>
 <83vasaxgit.fsf@HIDDEN>
 <CADwFkmks4dnWXy=vpe0vGWmH1YTjc7KGDbbB4dHa93hVFHR9og@HIDDEN>
X-Now-Playing: DJ Rupture's _Curiosity Slowdown_: "Curiosity Slowdown (part 3)"
Date: Wed, 01 Dec 2021 20:18:34 +0100
In-Reply-To: <CADwFkmks4dnWXy=vpe0vGWmH1YTjc7KGDbbB4dHa93hVFHR9og@HIDDEN>
 (Stefan Kangas's message of "Sat, 14 Nov 2020 17:14:36 -0800")
Message-ID: <87pmqggmlx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Kangas <stefan@HIDDEN> writes: > So I don't think
 we should do anything here, besides closing this as > wontfix. Any other
 opinions? I agree that there doesn't seem to be anything to do here, so I'm
 closing this bug report now. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 25747
Cc: Allen Li <vianchielfaura@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 25747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Kangas <stefan@HIDDEN> writes:

> So I don't think we should do anything here, besides closing this as
> wontfix.  Any other opinions?

I agree that there doesn't seem to be anything to do here, so I'm
closing this bug report now.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25747; Package emacs. Full text available.

Message received at 25747 <at> debbugs.gnu.org:


Received: (at 25747) by debbugs.gnu.org; 15 Nov 2020 01:49:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 20:49:44 2020
Received: from localhost ([127.0.0.1]:52305 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ke7Al-0004Ka-UA
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 20:49:44 -0500
Received: from aserp2120.oracle.com ([141.146.126.78]:55546)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1ke7Ak-0004KN-28
 for 25747 <at> debbugs.gnu.org; Sat, 14 Nov 2020 20:49:42 -0500
Received: from pps.filterd (aserp2120.oracle.com [127.0.0.1])
 by aserp2120.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 0AF1nX8O008592;
 Sun, 15 Nov 2020 01:49:36 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2020-01-29;
 bh=4epRNf9XtwnTEWY0hYk1qKgKjEYWaILrhJoNRtJ3FCc=;
 b=gIEXxI+5aFg6BgjEaPG9/HTNhhbgEB7o8UxJ+PIWgBO5R//I6Uv+4qu8qaFYY0/DAJxO
 WcZwsDz+KNbqA9m6f4SB6QbBoT4//CxZRboq1l5E0LQY7uURtOgcD9u+rXnxO1+NOu++
 v8Y+PyJo7+yfZzHPw8wcNH5wfaWMcKkpAAxWnA/A57Td9rt7S/vGMcqdW0Ti5mzwo1ge
 vckXkPSZFiqXtZ65YrOy2rBqzRjuJ1w0L52bmhMg9FHX4VvRKgsHLOeOJXxuJ9FcBijs
 9vlgRW7eVRewX6KbNuqp9hxZQknQ4jglWZsnlDknGe71kCQZySPUulKvwZfuSpiBZf6q jw== 
Received: from aserp3020.oracle.com (aserp3020.oracle.com [141.146.126.70])
 by aserp2120.oracle.com with ESMTP id 34t76khey4-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=FAIL);
 Sun, 15 Nov 2020 01:49:36 +0000
Received: from pps.filterd (aserp3020.oracle.com [127.0.0.1])
 by aserp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 0AF1f51D125601;
 Sun, 15 Nov 2020 01:47:35 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by aserp3020.oracle.com with ESMTP id 34ts4v1rrj-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 15 Nov 2020 01:47:35 +0000
Received: from abhmp0014.oracle.com (abhmp0014.oracle.com [141.146.116.20])
 by aserv0121.oracle.com (8.14.4/8.13.8) with ESMTP id 0AF1lXW5017944;
 Sun, 15 Nov 2020 01:47:33 GMT
MIME-Version: 1.0
Message-ID: <21a400a6-6497-4445-bd4b-ecc0830058da@default>
Date: Sat, 14 Nov 2020 17:47:32 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: RE: bug#25747: 25.1.91; hideshow binding C-c @ C-h overrides help
References: <CAJr1M6dKJR1kRD4K_7+QYhQ_jdmzUAx06ucoZLZ9+YGi-w-kKg@HIDDEN>
 <834lzuznib.fsf@HIDDEN>
 <CAJr1M6euwX5MEo8tq7TNrDB0LUSzu9V3x9=JYqzYJjCCoFA=qQ@HIDDEN>
 <83vasaxgit.fsf@HIDDEN>
 <CADwFkmks4dnWXy=vpe0vGWmH1YTjc7KGDbbB4dHa93hVFHR9og@HIDDEN>
In-Reply-To: <CADwFkmks4dnWXy=vpe0vGWmH1YTjc7KGDbbB4dHa93hVFHR9og@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.5071.0 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9805
 signatures=668682
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxscore=0
 phishscore=0 bulkscore=0
 adultscore=0 malwarescore=0 mlxlogscore=999 spamscore=0 suspectscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2011150007
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9805
 signatures=668682
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 phishscore=0
 adultscore=0 priorityscore=1501 bulkscore=0 clxscore=1011 mlxlogscore=999
 malwarescore=0 mlxscore=0 spamscore=0 lowpriorityscore=0 impostorscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2011150007
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 25747
Cc: Allen Li <vianchielfaura@HIDDEN>, 25747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> I also think that "C-c @ C-h" is a very unfortunate keybinding, even if
> it is mnemonic for "hide".

I agree.  There are other *hide* commands that don't use `C-h'
in their bindings.  There are even other hideshow hide commands
that don't use it:

C-c @ C-M-h
C-c @ C-l
C-c @ C-t
C-c @ C-d

There's anyway redundancy: C-c @ C-h is the same as C-c @ C-d.
(And C-c @ C-M-h is the same as C-c @ C-t.)  Are all of the
default bindings really necessary/useful?

(If you think it's important to have something that fits with
the `C-c @ C-M-h' of `hs-hide-all' then use `C-c @ M-h'.)

My guess is that the author just didn't know about using `C-h'
after a prefix arg.  And the more exceptions to that working,
the more people will do likewise: mistakenly (in ignorance)
bind `C-h' after a prefix key, preventing it from that use.

> But it seems much too late to do anything about that now.

Why is it too late?  Just drop `C-c @ C-h' - that's my suggestion.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25747; Package emacs. Full text available.

Message received at 25747 <at> debbugs.gnu.org:


Received: (at 25747) by debbugs.gnu.org; 15 Nov 2020 01:14:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 20:14:44 2020
Received: from localhost ([127.0.0.1]:52295 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ke6cu-0003Wb-45
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2020 20:14:44 -0500
Received: from mail-ej1-f47.google.com ([209.85.218.47]:37511)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1ke6cs-0003WN-LF
 for 25747 <at> debbugs.gnu.org; Sat, 14 Nov 2020 20:14:42 -0500
Received: by mail-ej1-f47.google.com with SMTP id f20so19360215ejz.4
 for <25747 <at> debbugs.gnu.org>; Sat, 14 Nov 2020 17:14:42 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc
 :content-transfer-encoding;
 bh=D4qpVViUbC/XDKzgoDuEznMH2NhZnaSY2C50z/95Ee0=;
 b=azZTIKzvvBYS5592eLufPpjelA7vGZHKm1QRL6nuTupHyxkebk+dyVSaC+yyitOL83
 HNgKRMNCw0K6uvABJwZRgK57+tHzFZvQZpIMppmHUUM55pzJgOYq2XMGPlDuBymfVJPY
 pTNysef701lbSxXWEWbB6tbFJ2aCCZxVTbJzlQmtNzkH/nv0MRdBFQqf5YVkZDvmn7GK
 Jq/dx20o1aCHnA0SVmoRy3TbQM4+miyYFQfZxQu6NPcjyH+z7VXWH2Vc2Vea/AAPvQSA
 R59o/3EQNQES+ZZg8n1QiKGItXcxNQ8YiLNXdQmEHljZ8UrNEDv/Bv2TVySo97xlcCqi
 9LsA==
X-Gm-Message-State: AOAM530vOs832bOarHj+gI2WCrgu8Zhb04ffpFTvgil02yRW7heFCmqh
 DnsHlDhGjW8Gto7kXVfNTWCi2sePqVjwHLkfXpc=
X-Google-Smtp-Source: ABdhPJwF4M6hUQ3yWMu7KxrbxOLNHdiZLveTnWnzLrt74RIhrdXSMkVKTvKy8SJRScR/Xrz4LxTose17bo6WDU2bf/o=
X-Received: by 2002:a17:906:4e90:: with SMTP id
 v16mr9109538eju.477.1605402876957; 
 Sat, 14 Nov 2020 17:14:36 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sat, 14 Nov 2020 17:14:36 -0800
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <83vasaxgit.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 16 Feb
 2017 18:11:06 +0200")
References: <CAJr1M6dKJR1kRD4K_7+QYhQ_jdmzUAx06ucoZLZ9+YGi-w-kKg@HIDDEN>
 <834lzuznib.fsf@HIDDEN>
 <CAJr1M6euwX5MEo8tq7TNrDB0LUSzu9V3x9=JYqzYJjCCoFA=qQ@HIDDEN>
 <83vasaxgit.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Sat, 14 Nov 2020 17:14:36 -0800
Message-ID: <CADwFkmks4dnWXy=vpe0vGWmH1YTjc7KGDbbB4dHa93hVFHR9og@HIDDEN>
Subject: Re: bug#25747: 25.1.91; hideshow binding C-c @ C-h overrides help
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 25747
Cc: Allen Li <vianchielfaura@HIDDEN>, 25747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>>     You can get a list of subcommands for a particular prefix key by
>>     typing C-h, ?, or F1 (describe-prefix-bindings) after the prefix
>>     key. (There are a few prefix keys for which not all of these keys
>>     work=E2=80=94those that provide their own bindings for that key. One=
 of
>>     these prefix keys is ESC, because ESC C-h is actually C-M-h,
>>     which marks a defun. However, ESC F1 and ESC ? work fine.)
>>
>> I guess this is working as intended, then?
>
> I don't know, it could be.
>
>> I was thinking of the recommendation in the style guide, which I
>> have read many times more than the manual:
>>
>>     Don=E2=80=99t bind C-h following any prefix character (including
>>     C-c). If you don=E2=80=99t bind C-h, it is automatically available a=
s
>>     a help character for listing the subcommands of the prefix
>>     character.
>
> Perhaps we should make that somewhat softer, e.g. "We don't recommend
> binding C-h ... if it can be avoided.." or somesuch.

I think it's fine to maintain a firm recommendation.  Binding C-h is a
very poor choice, and should be discouraged accordingly.

I also think that "C-c @ C-h" is a very unfortunate keybinding, even if
it is mnemonic for "hide".  But it seems much too late to do anything
about that now.

So I don't think we should do anything here, besides closing this as
wontfix.  Any other opinions?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25747; Package emacs. Full text available.

Message received at 25747 <at> debbugs.gnu.org:


Received: (at 25747) by debbugs.gnu.org; 16 Feb 2017 16:10:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 16 11:10:52 2017
Received: from localhost ([127.0.0.1]:42397 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ceOdw-0003Jq-Ap
	for submit <at> debbugs.gnu.org; Thu, 16 Feb 2017 11:10:52 -0500
Received: from eggs.gnu.org ([208.118.235.92]:57412)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ceOdu-0003Je-RV
 for 25747 <at> debbugs.gnu.org; Thu, 16 Feb 2017 11:10:51 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1ceOdl-00060N-Lw
 for 25747 <at> debbugs.gnu.org; Thu, 16 Feb 2017 11:10:45 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:55348)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ceOdl-00060F-Ip; Thu, 16 Feb 2017 11:10:41 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2329
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ceOdk-0000hy-Sy; Thu, 16 Feb 2017 11:10:41 -0500
Date: Thu, 16 Feb 2017 18:11:06 +0200
Message-Id: <83vasaxgit.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Allen Li <vianchielfaura@HIDDEN>
In-reply-to: <CAJr1M6euwX5MEo8tq7TNrDB0LUSzu9V3x9=JYqzYJjCCoFA=qQ@HIDDEN>
 (message from Allen Li on Thu, 16 Feb 2017 00:54:34 -0800)
Subject: Re: bug#25747: 25.1.91; hideshow binding C-c @ C-h overrides help
References: <CAJr1M6dKJR1kRD4K_7+QYhQ_jdmzUAx06ucoZLZ9+YGi-w-kKg@HIDDEN>
 <834lzuznib.fsf@HIDDEN>
 <CAJr1M6euwX5MEo8tq7TNrDB0LUSzu9V3x9=JYqzYJjCCoFA=qQ@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 25747
Cc: 25747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Allen Li <vianchielfaura@HIDDEN>
> Date: Thu, 16 Feb 2017 00:54:34 -0800
> Cc: 25747 <at> debbugs.gnu.org
> 
>     You can get a list of subcommands for a particular prefix key by
>     typing C-h, ?, or F1 (describe-prefix-bindings) after the prefix
>     key. (There are a few prefix keys for which not all of these keys
>     work—those that provide their own bindings for that key. One of
>     these prefix keys is ESC, because ESC C-h is actually C-M-h,
>     which marks a defun. However, ESC F1 and ESC ? work fine.)
> 
> I guess this is working as intended, then?

I don't know, it could be.

> I was thinking of the recommendation in the style guide, which I
> have read many times more than the manual:
> 
>     Don’t bind C-h following any prefix character (including
>     C-c). If you don’t bind C-h, it is automatically available as
>     a help character for listing the subcommands of the prefix
>     character.

Perhaps we should make that somewhat softer, e.g. "We don't recommend
binding C-h ... if it can be avoided.." or somesuch.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25747; Package emacs. Full text available.

Message received at 25747 <at> debbugs.gnu.org:


Received: (at 25747) by debbugs.gnu.org; 16 Feb 2017 08:54:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 16 03:54:42 2017
Received: from localhost ([127.0.0.1]:41667 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ceHpp-0004lj-Ry
	for submit <at> debbugs.gnu.org; Thu, 16 Feb 2017 03:54:42 -0500
Received: from mail-vk0-f42.google.com ([209.85.213.42]:34092)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vianchielfaura@HIDDEN>) id 1ceHpo-0004lX-MC
 for 25747 <at> debbugs.gnu.org; Thu, 16 Feb 2017 03:54:41 -0500
Received: by mail-vk0-f42.google.com with SMTP id r136so6425454vke.1
 for <25747 <at> debbugs.gnu.org>; Thu, 16 Feb 2017 00:54:40 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=mclFpSKzzDBag1CI9rJtkc26PROUSv+XgzO9nNw+A54=;
 b=Qvo7NO/rrA/qS9ECwtWZFnR9qAWbdBCNz3PmxcD4wyp7++3uDJyEcSl7oZ8NbwRGc1
 cctyiQcUe6Wm/ZjfLXPW05hWNsAaTO1adpVI7eQjN5CqmQ6mWMKXoeIyJf39WokTXdsu
 sbrHcYwskIktYDSm96WjCFSsnC0dJgiRcShxWnJ4VXKkT0UBSUBO4b1jeSyFghNojGSq
 yLgf797c+T2Bfx3t86XEPJ3MaOtE257G0ZuZarAwlJ6EVqUgBgEGbN58Cm4el8WQv8ao
 o1v42XlhfDuG6uQJGzHMR99IzlrCf5DXbMogP6zUiWt7SnhlxGJHhEKeVkGEfrIu5RSm
 sYUQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=mclFpSKzzDBag1CI9rJtkc26PROUSv+XgzO9nNw+A54=;
 b=lhHUBVjAd3QZLtiNUmPMM46nXbtfW49p/fzYSf1PBscoTT90dvwhEPuRFIxVbpVHu9
 yTxukFyJaj9wrjhi6l+CChqa3ETdHBaJBrU/CaEQolP0k/ZWtg4pXfyOXo0pJC7ANZPX
 6Wv0oU/Tr7HcKDkKijNMqUnHm5IkoSA4p7LVy6hUA//HtRqxPkJ84bjSMH5jHwaPM064
 nsYS8mte8f9gVS8JrdBDFPNErTEQjvqUcbXmeCb+4IIR4mnkS/TsZbndPMudhW1gai6U
 roCqvZqHXz78xBByMv9jUslJ4ug/4rka1JdG+7jp14PDTv1u38OKWX7uM1fYIrn06M1l
 y8PA==
X-Gm-Message-State: AMke39k5Z1DvnP1pDcLVxZpctRm7NPxRyXHSjG5/llrGlOX/Vxhbs/kwIoUdSGmyTde3zQfco7S3oI23AIrbLA==
X-Received: by 10.31.79.132 with SMTP id d126mr544925vkb.24.1487235274987;
 Thu, 16 Feb 2017 00:54:34 -0800 (PST)
MIME-Version: 1.0
Received: by 10.103.120.66 with HTTP; Thu, 16 Feb 2017 00:54:34 -0800 (PST)
In-Reply-To: <834lzuznib.fsf@HIDDEN>
References: <CAJr1M6dKJR1kRD4K_7+QYhQ_jdmzUAx06ucoZLZ9+YGi-w-kKg@HIDDEN>
 <834lzuznib.fsf@HIDDEN>
From: Allen Li <vianchielfaura@HIDDEN>
Date: Thu, 16 Feb 2017 00:54:34 -0800
Message-ID: <CAJr1M6euwX5MEo8tq7TNrDB0LUSzu9V3x9=JYqzYJjCCoFA=qQ@HIDDEN>
Subject: Re: bug#25747: 25.1.91; hideshow binding C-c @ C-h overrides help
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 25747
Cc: 25747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

On Wed, Feb 15, 2017 at 9:57 PM, Eli Zaretskii <eliz@HIDDEN> wrote:
> You can type "C-c @ ?" instead, i.e. use the question-mark '?' instead
> of C-h.

Ah, that's embarrassing.  Rereading the manual I see this
important bit that I have forgotten:

    You can get a list of subcommands for a particular prefix key by
    typing C-h, ?, or F1 (describe-prefix-bindings) after the prefix
    key. (There are a few prefix keys for which not all of these keys
    work=E2=80=94those that provide their own bindings for that key. One of
    these prefix keys is ESC, because ESC C-h is actually C-M-h,
    which marks a defun. However, ESC F1 and ESC ? work fine.)

I guess this is working as intended, then?  I was thinking of the
recommendation in the style guide, which I have read many times more
than the manual:

    Don=E2=80=99t bind C-h following any prefix character (including
    C-c). If you don=E2=80=99t bind C-h, it is automatically available as
    a help character for listing the subcommands of the prefix
    character.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25747; Package emacs. Full text available.

Message received at 25747 <at> debbugs.gnu.org:


Received: (at 25747) by debbugs.gnu.org; 16 Feb 2017 05:57:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 16 00:57:02 2017
Received: from localhost ([127.0.0.1]:41595 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ceF3u-0000XO-4B
	for submit <at> debbugs.gnu.org; Thu, 16 Feb 2017 00:57:02 -0500
Received: from eggs.gnu.org ([208.118.235.92]:54371)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ceF3t-0000XA-46
 for 25747 <at> debbugs.gnu.org; Thu, 16 Feb 2017 00:57:01 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1ceF3l-0001Vg-07
 for 25747 <at> debbugs.gnu.org; Thu, 16 Feb 2017 00:56:56 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:48545)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ceF3k-0001V9-Sm; Thu, 16 Feb 2017 00:56:52 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1899
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ceF3j-0000UP-Sx; Thu, 16 Feb 2017 00:56:52 -0500
Date: Thu, 16 Feb 2017 07:57:16 +0200
Message-Id: <834lzuznib.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Allen Li <vianchielfaura@HIDDEN>
In-reply-to: <CAJr1M6dKJR1kRD4K_7+QYhQ_jdmzUAx06ucoZLZ9+YGi-w-kKg@HIDDEN>
 (message from Allen Li on Wed, 15 Feb 2017 14:30:34 -0800)
Subject: Re: bug#25747: 25.1.91; hideshow binding C-c @ C-h overrides help
References: <CAJr1M6dKJR1kRD4K_7+QYhQ_jdmzUAx06ucoZLZ9+YGi-w-kKg@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 25747
Cc: 25747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Allen Li <vianchielfaura@HIDDEN>
> Date: Wed, 15 Feb 2017 14:30:34 -0800
> 
> hideshow-minor-mode binds C-c @ C-h, preventing C-h from being used as
> the help key to describe the bindings under the C-c @ prefix.

You can type "C-c @ ?" instead, i.e. use the question-mark '?' instead
of C-h.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25747; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Feb 2017 22:30:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 15 17:30:49 2017
Received: from localhost ([127.0.0.1]:41440 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ce864-0005T5-SY
	for submit <at> debbugs.gnu.org; Wed, 15 Feb 2017 17:30:49 -0500
Received: from eggs.gnu.org ([208.118.235.92]:60062)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vianchielfaura@HIDDEN>) id 1ce862-0005Ss-Ko
 for submit <at> debbugs.gnu.org; Wed, 15 Feb 2017 17:30:47 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <vianchielfaura@HIDDEN>) id 1ce85w-0004mP-KT
 for submit <at> debbugs.gnu.org; Wed, 15 Feb 2017 17:30:41 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:43831)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <vianchielfaura@HIDDEN>)
 id 1ce85w-0004mA-HG
 for submit <at> debbugs.gnu.org; Wed, 15 Feb 2017 17:30:40 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:51028)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <vianchielfaura@HIDDEN>) id 1ce85v-0007rb-6Z
 for bug-gnu-emacs@HIDDEN; Wed, 15 Feb 2017 17:30:40 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <vianchielfaura@HIDDEN>) id 1ce85u-0004lG-7u
 for bug-gnu-emacs@HIDDEN; Wed, 15 Feb 2017 17:30:39 -0500
Received: from mail-vk0-x231.google.com ([2607:f8b0:400c:c05::231]:34899)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <vianchielfaura@HIDDEN>)
 id 1ce85t-0004jt-VM
 for bug-gnu-emacs@HIDDEN; Wed, 15 Feb 2017 17:30:38 -0500
Received: by mail-vk0-x231.google.com with SMTP id x75so174717vke.2
 for <bug-gnu-emacs@HIDDEN>; Wed, 15 Feb 2017 14:30:35 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=PRTUmiL5qdwH+LZ7HZip+EnMqZ5ZWaAfu1o7jk7QJT4=;
 b=MDghw93ima9bbD4DRvZooUBQbA05rd7psjVHcL6208BfrMvDs2aJ583SM1YflggByC
 ynSx4+uGZxnFdUTuF9Y7Lig/pD22STIQwtckJD/pIrGR6D2rxsjWsfOWBkA+5vZO+Vyy
 RCtcpsJil6OOiSfXt7JuwhpHa1TOIMzDCVSYn7z7d6oOC7uw5v0BDqij87DLvdYelFmu
 6hT9KZtWSeaOXP04KYNrHiyclQxhlmr1LwMSOfjepnmGRfkR8VKUSc0MdTq668lWzAgb
 OnKAMWaS23Tp1Ub1j9Cr7ORRjqSdXl0uD9pWX5MiByOGT5D8+nCCAaNsqG33QbkJ/ZvK
 bnqQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=PRTUmiL5qdwH+LZ7HZip+EnMqZ5ZWaAfu1o7jk7QJT4=;
 b=Z8S78kV3bQBrQiXPwAQ7NCl4My5b15MCtJ4HYfiJa2aij9V5chjxN8rApg7VwXPtct
 pDmk2ElNU5ZwLLNqS/gzeu5xzmCjO6XJ1SeD269uy2und9k1Z1oDm2BxNWoyJYwM7can
 0HTFmvekUaioZi78SjVr4VkV0XNvwx/U21CeBJa9hkxCz4RC3U3PbscnS4X86Ir1dqc2
 S5f4ukhaJWYhzusUYshnupuH7nqisV0o99CAKJdyX6Dw2skpuah8vtJO0B+XZuQl1JTX
 o7WlfyPQIeYpboJXw17CGsiW3RwOn2tBt8Q4CIsKnjg9lJY2Og5U2qWr2QWPgCO+kK2P
 Br8g==
X-Gm-Message-State: AMke39m0JhsT7zr/EB9cI/8zQ+yuzM1gd3lINoDcAIehzH5ijh1aW5LOTm7gkUBEznGZnR0hKP0VhftaYxE5TA==
X-Received: by 10.31.58.215 with SMTP id h206mr16036827vka.164.1487197834583; 
 Wed, 15 Feb 2017 14:30:34 -0800 (PST)
MIME-Version: 1.0
Received: by 10.103.120.66 with HTTP; Wed, 15 Feb 2017 14:30:34 -0800 (PST)
From: Allen Li <vianchielfaura@HIDDEN>
Date: Wed, 15 Feb 2017 14:30:34 -0800
Message-ID: <CAJr1M6dKJR1kRD4K_7+QYhQ_jdmzUAx06ucoZLZ9+YGi-w-kKg@HIDDEN>
Subject: 25.1.91; hideshow binding C-c @ C-h overrides help
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset=UTF-8
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

hideshow-minor-mode binds C-c @ C-h, preventing C-h from being used as
the help key to describe the bindings under the C-c @ prefix.

In GNU Emacs 25.1.91.1 (x86_64-pc-linux-gnu, GTK+ Version 3.10.8),
modified by Debian
Windowing system distributor 'The X.Org Foundation', version 11.0.11501000
System Description: Ubuntu 14.04 LTS

Configured using:
 'configure --build x86_64-linux-gnu --build x86_64-linux-gnu
 --prefix=/usr --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/google-emacs:/etc/emacs:/usr/local/share/emacs/25.1.91+gg1+2/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/25.1.91+gg1+2/site-lisp:/usr/share/emacs/site-lisp
 --with-crt-dir=/usr/lib/x86_64-linux-gnu --disable-build-details
 --disable-silent-rules --with-modules GOOGLE_VERSION=25.1.91+gg1+2
 --with-x=yes --with-x-toolkit=gtk3 --with-toolkit-scroll-bars
 build_alias=x86_64-linux-gnu 'CFLAGS=-g -O2 -fstack-protector
 --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall'
 'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro
 -Wl,-fuse-ld=gold,--export-dynamic-symbol=__google_auxv'
 'CPPFLAGS=-D_FORTIFY_SOURCE=2 -DGOOGLE_EMACS_DEFINE_AUXV''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
NOTIFY LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 MODULES




Acknowledgement sent to Allen Li <vianchielfaura@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#25747; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 1 Dec 2021 19:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.